<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'aspirelist', language 'ar_wp', version '3.3'.
 *
 * @package     aspirelist
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aspirecodesettings'] = 'Talis Aspire إعدادات رمز';
$string['aspirelist'] = '{$a} :قائمة الموارد';
$string['aspirelist:addinstance'] = 'إضافة قائمة موارد جديدة';
$string['aspirelist:view'] = 'عرض محتوى قائمة الموارد';
$string['aspirelistname'] = 'اسم قائمة الموارد';
$string['aspiresitesettings'] = 'Talis Aspire إعدادات موقع';
$string['aspireurl'] = 'Aspire URL';
$string['aspireurl_desc'] = 'أدخل عنوان URL الأساسي لموقع Talis Aspire (وليس اسمًا مستعارًا لـ HTTPS).';
$string['aspireurlhttpsalias'] = 'Aspire URL HTTPS الاسم المستعار ل';
$string['aspireurlhttpsalias_desc'] = 'أدخل عنوان URL لاسم HTTPS المستعار لموقع Talis Aspire (إذا كان لديك واحد).';
$string['authorsinconfig'] = 'تضمين المؤلفين في شكل التكوين';
$string['authorsinconfig_desc'] = 'هل يجب أن تتضمن أوصاف عنصر المورد في نماذج تكوين الوحدة النمطية أسماء المؤلفين؟ افتراضيًا ، يتم تضمين عنوان العنصر وتنسيق المورد فقط ، لتوفير مساحة في النموذج.';
$string['cachedef_listdata'] = 'Talis Aspireتم جلب بيانات قائمة الموارد المخزنة مؤقتًا من';
$string['center'] = 'مركز';
$string['codecolumn'] = 'Aspire عمود رمز';
$string['codecolumn_desc'] = 'Talis Aspireاختياري. اسم العمود في الجدول المخصص الذي يحتوي على رموز قائمة';
$string['coderegex'] = 'ريكس رمز أسباير';
$string['coderegex_desc'] = 'اختياري. إذا كنت تستخدم رقم معرف المقرر الدراسي أو الاسم المختصر كمصدر للرمز ، فهذا عبارة عن تعبير منتظم (بما في ذلك المحددات) يطابق جزء شفرة Talis Aspire منه. إذا لم يتم توفير regex هنا ، فسيتم افتراض أن الحقل يحتوي على رمز Aspire فقط.';
$string['codesource'] = 'مصدر رمز أسباير';
$string['codesource_desc'] = 'حدد مصدر رموز قائمة  إذا اخترت استخدام جدول قاعدة بيانات مخصص Talis Aspire. ، يجب عليك أيضًا تحديد الجدول والأعمدة وتفاصيل سمة المقرر الدراسي في الحقول أدناه. إذا لم يتم العثور على رمز في الجدول المخصص لمقرر دراسي معين ، فسيتم التحقق من رقم معرف المقرر الدراسي على أنه احتياطي.';
$string['codetable'] = 'جدول قاعدة البيانات المخصصة';
$string['codetable_desc'] = 'اختياري. اسم جدول مخصص في قاعدة بيانات مودل يحتوي على رموز قائمة Talis Aspire التي تم تعيينها مقابل سمة مقرر مودل.';
$string['college'] = 'كلية';
$string['contentheader'] = 'اختيار قائمة الموارد';
$string['course'] = 'مقرر دراسي';
$string['courseattribute'] = 'سمة المقرر الدراسي';
$string['courseattribute_desc'] = 'اختياري. سمة المقرر الدراسي الفريد التي تم تعيينها مقابل رموز Talis Aspire في الجدول المخصص (عادةً ما يكون معرفًا أو كودًا أو اسمًا قصيرًا).';
$string['coursecolumn'] = 'عمود المقرر الدراسي';
$string['coursecolumn_desc'] = 'اختياري. اسم العمود في الجدول المخصص الذي يحتوي على سمة المقرر الدراسي التي تم تعيينه مقابل رموز قائمة Talis Aspire.';
$string['defaultdisplay'] = 'وضع العرض الافتراضي';
$string['defaultdisplay_desc'] = 'افتراضيًا ، هل يجب عرض قوائم موارد جديدة على صفحة منفصلة عبر رابط ، أو مضمنة في صفحة المقرر الدراسي؟';
$string['department'] = 'قسم';
$string['display'] = 'عرض محتويات قائمة الموارد';
$string['display_help'] = 'إذا اخترت عرض محتويات قائمة الموارد في صفحة المقرر الدراسي ، فلن يكون هناك رابط لصفحة منفصلة. سيتم عرض الوصف فقط إذا تم تحديد "وصف العرض في صفحة المقرر الدراسي".';
$string['displayinline'] = 'مضمنة في صفحة المقرر الدراسي';
$string['displaypage'] = 'على صفحة منفصلة';
$string['division'] = 'قطاع';
$string['errorcodecolumn'] = 'يجب عليك تحديد عمود الرمز إذا كنت تريد استخدام جدول قاعدة بيانات مخصص كمصدر رمز Aspire.';
$string['errorcodesource'] = 'يجب عليك تقديم كل تفاصيل الجدول والعمود أدناه إذا كنت تريد استخدام جدول قاعدة بيانات مخصص كمصدر رمز Aspire';
$string['errorcodetable'] = 'يجب عليك تحديد اسم الجدول إذا كنت تريد استخدام جدول قاعدة بيانات مخصص كمصدر رمز Aspire.';
$string['errorcourseattribute'] = 'يجب عليك تحديد سمة المقرر الدراسي إذا كنت تريد استخدام جدول قاعدة بيانات مخصص كمصدر رمز Aspire.';
$string['errorcoursecolumn'] = 'يجب عليك تحديد عمود الدورة التدريبية إذا كنت تريد استخدام جدول قاعدة بيانات مخصص كمصدر رمز Aspire.';
$string['faculty'] = 'كلية';
$string['field'] = 'حقل';
$string['generalsettings'] = 'الاعدادات العامة';
$string['includechildcodes'] = 'تضمين الرموز الفرعية الفوقية';
$string['includechildcodes_desc'] = 'تحقق من روابط تعريف المقرر الدراسي وقم بتضمين أكواد قائمة أسباير المرتبطة بأي مقررات فرعية موجودة.';
$string['institute'] = 'معهد';
$string['institution'] = 'المعهد';
$string['itemcount'] = '{$a} عنصر';
$string['itemcountplural'] = '{$a} عناصر';
$string['kgcolumn'] = 'عمود مجموعة المعرفة';
$string['kgcolumn_desc'] = 'اختياري. اسم العمود في الجدول المخصص الذي يحتوي على مجموعة المعرفة (في حالة تركه فارغًا ، سيتم استخدام مجموعة المعرفة الافتراضية التي تم تكوينها في إعدادات موقع Talis Aspire لجميع القوائم).';
$string['knowledgegroup'] = 'مجموعة المعرفة الافتراضية';
$string['knowledgegroup_desc'] = 'حدد مجموعة المعرفة الهدف الافتراضية لقوائم Talis Aspire. يمكن تجاوز هذا لكل قائمة إذا كنت تستخدم جدول قاعدة بيانات مخصص لمصدر كود Aspire (الذي تم تكوينه أدناه).';
$string['level'] = 'مستوى';
$string['module'] = 'وحدة';
$string['modulename'] = 'قائمة موارد أسباير';
$string['modulename_help'] = '<p> تتيح وحدة قائمة موارد Aspire للمعلم إمكانية تضمين مجموعة مختارة من الموارد من قوائم موارد Talis Aspire المرتبطة مباشرة ضمن محتوى المقرر الدراسي الخاص بهم. </ p> <p> يمكن عرض قائمة الموارد إما في ملف منفصل منفصل الصفحة ، أو المضمنة في صفحة المقرر الدراسي نفسه (مخبأة في البداية ، مع وجود رابط لتبديل الرؤية). </ p>';
$string['modulenameplural'] = 'قوائم موارد أسباير';
$string['noaspirelists'] = '{$a}عذرًا ، لا توجد قوائم موارد مرتبطة بهذا .';
$string['noconnection'] = 'لسوء الحظ ، فإن موقع Talis Aspire غير متاح حاليًا. الرجاء معاودة المحاولة في وقت لاحق.';
$string['onlineresource'] = 'الموارد على الانترنت';
$string['page-mod-aspirelist-view'] = 'قائمة الموارد وحدة الصفحة الرئيسية';
$string['page-mod-aspirelist-x'] = 'أي صفحة وحدة قائمة الموارد';
$string['pathway'] = 'مسار';
$string['pluginadministration'] = 'إدارة قائمة موارد أسباير';
$string['pluginname'] = 'قائمة موارد أسباير';
$string['previewitem'] = 'معاينة البند';
$string['programme'] = 'برنامج';
$string['requiremodintro'] = 'تتطلب وصف قائمة الموارد';
$string['requiremodintro_desc'] = 'قم بتمكين هذا الخيار إذا كنت تريد إجبار المستخدمين على إدخال وصف لكل قائمة موارد.';
$string['school'] = 'مدرسة';
$string['selectresources'] = '"{$a}"حدد الموارد من';
$string['showhide'] = 'إظهار / إخفاء قائمة الموارد';
$string['subject'] = 'موضوع';
$string['unit'] = 'وحدة';
$string['yearregex'] = 'رمز العام ريجكس';
$string['yearregex_desc'] = 'اختياري. هذا تعبير منتظم (بما في ذلك المحددات) يطابق جزء رمز السنة لأرقام معرف الدورة أو الأسماء المختصرة (سيتم التحقق منها) ، ويمكن استخدامه بغض النظر عن مصدر أكواد قائمة Aspire. إذا لم يتم توفير regex هنا ، فسيتم افتراض أنه لا يوجد رمز عام ، وسيتم استخدام أحدث إصدار من كل قائمة.';
